Package org.kapott.hbci.passport

# Class HBCIPassportDDVPCSC

java.lang.Object
org.kapott.hbci.passport.AbstractHBCIPassport
org.kapott.hbci.passport.AbstractDDVPassport
org.kapott.hbci.passport.HBCIPassportDDV
org.kapott.hbci.passport.HBCIPassportDDVPCSC

All Implemented Interfaces:
  `Serializable`, `HBCIPassport`, `HBCIPassportChipcard`, `HBCIPassportInternal`

public class HBCIPassportDDVPCSC extends HBCIPassportDDV
Implementierung eines DDV-Passports, welcher intern die neue Chipkarten-API "javax.smartcardio" von Java 6 verwendet. Die Implementierung basiert auf dem OCF-Code von HBCI4Java 2.5.8.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`KEY_EXTERNAL_ID, KEY_VOP_RESULT`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

## Constructor Summary

Constructors
Constructor
Description
`HBCIPassportDDVPCSC(Object init)`
ct.
`HBCIPassportDDVPCSC(Object init, int dummy)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`closeCT()`
`protected byte[]`
`ctDecrypt(byte[] cryptedKey)`
`protected byte[][]`
`ctEncrypt()`
`protected void`
`ctEnterPIN()`
`protected void`
`ctReadBankData()`
`protected void`
`ctReadKeyData()`
`protected void`
`ctSaveBankData()`
`protected void`
`ctSaveSigId()`
`protected byte[]`
`ctSign(byte[] data)`
`protected void`
`initCT()`

### Methods inherited from class org.kapott.hbci.passport.HBCIPassportDDV

`close, decrypt, encrypt, getCardId, getComPort, getCTNumber, getEntryIdx, getFileName, getInstEncKey, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKey, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getLibName, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, getParamHeader, getSoftPin, getUseBio, getUseSoftPin, hash, isSupported, resetPassphrase, saveBankData, saveChanges, setCardId, setComPort, setCTNumber, setEntryIdx, setFileName, setInstEncKey, setInstSigKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, setParamHeader, setPINEntered, setSoftPin, setUseBio, setUseSoftPin, sign, verify`

### Methods inherited from class org.kapott.hbci.passport.AbstractDDVPassport

`getCommInstance, getCryptAlg, getCryptFunction, getCryptKeyType, getCryptMode, getHashAlg, getPassportTypeName, getProfileMethod, getProfileVersion, getSigAlg, getSigFunction, getSigMode, getSysStatus, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, needInstKeys, needUserKeys, needUserSig`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, closeComm, fillAccountInfo, generateNewUserKeys, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onDialogEvent, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`changePassphrase, clearBPD, clearInstEncKey, clearInstSigKey, clearUPD, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getClientData, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstName, getMaxGVperMsg, getMaxMsgSizeKB, getPort, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getUPD, getUPDVersion, getUserId, onlyBPDGVs, setBLZ, setClientData, setCountry, setCustomerId, setFilterType, setHost, setPort, setUserId, syncSigId, syncSysId`

## Constructor Details

### HBCIPassportDDVPCSC

public HBCIPassportDDVPCSC(Object init, int dummy)
ct.

Parameters:
  `init` -
  `dummy` -

### HBCIPassportDDVPCSC

public HBCIPassportDDVPCSC(Object init)
ct.

Parameters:
  `init` -

## Method Details

### initCT

protected void initCT()

Overrides:
  `initCT` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.initCT()`

### ctReadBankData

protected void ctReadBankData()

Overrides:
  `ctReadBankData` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctReadBankData()`

### ctReadKeyData

protected void ctReadKeyData()

Overrides:
  `ctReadKeyData` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctReadKeyData()`

### ctEnterPIN

protected void ctEnterPIN()

Overrides:
  `ctEnterPIN` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctEnterPIN()`

### ctSaveBankData

protected void ctSaveBankData()

Overrides:
  `ctSaveBankData` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctSaveBankData()`

### ctSaveSigId

protected void ctSaveSigId()

Overrides:
  `ctSaveSigId` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctSaveSigId()`

### ctSign

protected byte[] ctSign(byte[] data)

Overrides:
  `ctSign` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctSign(byte[])`

### ctEncrypt

protected byte[][] ctEncrypt()

Overrides:
  `ctEncrypt` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctEncrypt()`

### ctDecrypt

protected byte[] ctDecrypt(byte[] cryptedKey)

Overrides:
  `ctDecrypt` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.ctDecrypt(byte[])`

### closeCT

protected void closeCT()

Overrides:
  `closeCT` in class `HBCIPassportDDV`
See Also:
  - `HBCIPassportDDV.closeCT()`